API reference › Team › Schedulers

Retrieve scheduler list

GET /v1/scheduler

Scope
team:read
Roles
admin, scheduler

Fetch paginated list of schedulers with search, filters, and sorting

Parameters

Query parameters

NameTypeDescription
searchstring

Search by scheduler name or email

Example scheduler.

statusinteger

Filter by status ID

Example 1.

isPublishedboolean

Filter by published status

Example true.

startDatestring (date)

Filter schedulers created after this date

Example 2025-01-01.

endDatestring (date)

Filter schedulers created before this date

Example 2025-12-31.

columnsstring

Comma-separated searchable columns

Example name,email,city.

sortBystring

Sort field

Example created_at.

sortOrderstring

Sort order

One of: asc, desc. Example desc.

perPageinteger

Items per page

Example 10.

Every call also sends Authorization and X-Tenant-ID; see Getting started.

Example request

Shell
curl "https://api.fetchfido.ai/v1/scheduler" \
  -H "Authorization: Bearer $FIDO_API_KEY" \
  -H "X-Tenant-ID: $FIDO_TENANT_ID"

Try it

Responses

200 Schedulers retrieved successfully

Schedulers retrieved successfully

JSON
{
  "success": true,
  "data": [
    {
      "id": "USR-LBW3CV",
      "name": "Example name",
      "email": "user@example.com",
      "logo": "https://cdn.example.com/image.png",
      "onlineStatus": "online",
      "description": "Short human-readable description.",
      "countryCode": "+1",
      "phone": "+1-555-0142",
      "phoneExtension": "101",
      "phoneType": "sms_and_voice",
      "addressLine1": "123 Main St",
      "addressLine2": "Suite 200",
      "city": "Austin",
      "state": {
        "id": 1,
        "label": "Alabama"
      },
      "postalCode": "90210",
      "videoPhone": "+1-555-0142",
      "videoPhoneCountryCode": "+1",
      "isPublished": true,
      "status": {
        "id": 1,
        "label": "Active"
      },
      "statusChangedAt": "2026-06-30 14:29:08",
      "publishedAt": "2026-06-30 14:29:08",
      "createdAt": "2026-01-15",
      "lastLogin": "2026-01-15 09:00:00",
      "canLogin": true,
      "jobRole": "string",
      "role": "example-slug",
      "requiresPrimaryReassignmentOnDelete": true,
      "otherActiveRoles": [
        null
      ]
    }
  ],
  "meta": {
    "currentPage": 1,
    "lastPage": 1,
    "perPage": 10,
    "total": 1
  }
}
Response fields (39)

3 top-level fields; 2 hold nested fields, listed below.

FieldTypeDescription
successboolean

Example true.

dataarray of object (32 nested)
metaobject (4 nested)

Nested fields

data 32 fields
FieldTypeDescription
data[].idstring

Example USR-LBW3CV.

data[].namestring

Example Example name.

data[].emailstring or null

Example user@example.com.

data[].logostring or null

Example https://cdn.example.com/image.png.

data[].onlineStatusstring

Example online.

data[].descriptionstring or null

Example Short human-readable description..

data[].countryCodestring or null

Example +1.

data[].phonestring or null

Example +1-555-0142.

data[].phoneExtensionstring or null

Example 101.

data[].phoneTypestring or null

Example sms_and_voice.

data[].addressLine1string or null

Example 123 Main St.

data[].addressLine2string or null

Example Suite 200.

data[].citystring or null

Example Austin.

data[].stateobject
data[].state.idinteger

Example 1.

data[].state.labelstring

Example Alabama.

data[].postalCodestring or null

Example 90210.

data[].videoPhonestring or null

Example +1-555-0142.

data[].videoPhoneCountryCodestring or null

Example +1.

data[].isPublishedboolean

Example true.

data[].statusobject
data[].status.idinteger

Example 1.

data[].status.labelstring

Example Active.

data[].statusChangedAtstring (date-time) or null

When the scheduler entered its current status

Example 2026-06-30 14:29:08.

data[].publishedAtstring (date-time) or null

When the scheduler entered its current publication state

Example 2026-06-30 14:29:08.

data[].createdAtstring or null

Example 2026-01-15.

data[].lastLoginstring or null

Example 2026-01-15 09:00:00.

data[].canLoginboolean

Example true.

data[].jobRolestring or null
data[].rolestring or null

Example example-slug.

data[].requiresPrimaryReassignmentOnDeleteboolean

Example true.

data[].otherActiveRolesarray of any
meta 4 fields
FieldTypeDescription
meta.currentPageinteger

Example 1.

meta.lastPageinteger

Example 1.

meta.perPageinteger

Example 10.

meta.totalinteger

Example 1.

400 Bad request

Bad Request

JSON
{
  "success": false,
  "message": "Invalid parameters."
}
Response fields (2)
FieldTypeDescription
successboolean

Example false.

messagestring

Example Invalid parameters..

401 Not signed in

Unauthorized

JSON
{
  "success": false,
  "message": "Invalid API key. Org and user tier keys must send an X-Tenant-ID header naming the organization the key was issued for.",
  "errors": null,
  "code": "API_KEY_MISSING"
}
Response fields (4)
FieldTypeDescription
successboolean

Example false.

messagestring

Example Invalid API key. Org and user tier keys must send an X-Tenant-ID header naming the organization the key was issued for..

errorsany or null

Null on this status.

codestring

Machine-readable reason, for branching on in client code.

One of: API_KEY_MISSING, API_KEY_INVALID, API_KEY_EXPIRED. Example API_KEY_MISSING.

403 Not allowed

Scope, tenant, IP allow-list or RBAC check failed.

JSON
{
  "success": false,
  "message": "You don't have permission to access this endpoint. This API key is missing the 'team:read' scope.",
  "errors": null,
  "code": ""
}
Response fields (4)
FieldTypeDescription
successboolean

Example false.

messagestring

Example You don't have permission to access this endpoint. This API key is missing the 'team:read' scope..

errorsany or null

Null on this status.

codestring

Always empty on this status.

Example .

429 Too many requests

Rate limit exceeded. See Retry-After.

JSON
{
  "success": false,
  "message": "You've exceeded this API key's rate limit of 120 requests per minute. Try again in 37 seconds.",
  "errors": null,
  "code": "RATE_LIMITED"
}
Response fields (4)
FieldTypeDescription
successboolean

Example false.

messagestring

Example You've exceeded this API key's rate limit of 120 requests per minute. Try again in 37 seconds..

errorsany or null

Null on this status.

codestring

Machine-readable reason, for branching on in client code.

One of: RATE_LIMITED. Example RATE_LIMITED.

500 Server error

Internal Server Error

JSON
{
  "success": false,
  "message": "Failed to fetch schedulers."
}
Response fields (2)
FieldTypeDescription
successboolean

Example false.

messagestring

Example Failed to fetch schedulers..